
Redmine - Defect #15548

Watchers list on new issue is interminable

2013-11-26 17:37 - Miguel Celemin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hello all,

We have a a project in our company which contains 3500 users. When we need open a new issue in this project the watchers list is

interminable.

We have tried next plugins

redmine-watchers-textinput

Is a very good plugin but due to giant list we would need can search by email not by name and surname

Boards/Wiki/Issues watchers management

Another useful plugin but is not valid for us because it shows all the watchers list and our first target is hide this list

Please does anybody the same problem? does anybody any solution/workaround to hide this list but still permit add watchers?

We have 2.2.4 version and also we are testing 2.4.1

Please help me, this list continues growing

Related issues:

Is duplicate of Redmine - Feature #8562: Watchers list too big in new issue form Closed 2011-06-08

History

#1 - 2013-11-29 10:20 - Gurvan Le Dromaguet

I have 200+ users and the same problem.

Not clean but I just deleted the following block at the end of  app/views/issues/new.html.erb :

  <% if @issue.safe_attribute? 'watcher_user_ids' -%>

      <p id="watchers_form"><label><%= l(:label_issue_watchers) %></label>

      <span id="watchers_inputs">

        <%= watchers_checkboxes(@issue, @available_watchers) %>

      </span>

      <span class="search_for_watchers">

      <%= link_to l(:label_search_for_watchers),

                  {:controller => 'watchers', :action => 'new', :project_id => @issue.project},

                  :remote => true,

                  :method => 'get' %>

      </span>

      </p>

    <% end %>

#2 - 2013-12-05 09:11 - Toshi MARUYAMA

- Category set to Issues

#3 - 2013-12-05 09:12 - Toshi MARUYAMA

- Subject changed from Watchers list on New issue to Watchers list on new issue is interminable

#4 - 2013-12-10 10:50 - Miguel Celemin

Thanks for your answer Gurvan but deleting this code is not possible add watchers
#5 - 2016-03-24 01:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #8562 (Redmine 2.5.0).

#6 - 2016-03-24 01:51 - Go MAEDA

- Is duplicate of Feature #8562: Watchers list too big in new issue form added
